Bug 198167 - grep should not crash on big files
grep should not crash on big files
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: grep (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On: 198165
Blocks: 216882
  Show dependency treegraph
 
Reported: 2006-07-10 08:43 EDT by Russell Coker
Modified: 2009-01-27 10:57 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2007-0281
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 18:43:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell Coker 2006-07-10 08:43:28 EDT
Grep buffers entire lines into memory.  When a line is greater than the 
virtual memory capacity of the machine it crashes, in the process it hurts 
performance and gives inaccurate results.

This bug depends on the rawhide bug 198165 (I don't expect a fix to go in to 
RHEL until after it's been tested in rawhide/Fedora).
Comment 1 Peter Staubach 2006-08-18 10:40:34 EDT
I am seeing this bug just doing my normal development work.  It would
be useful for me to get it fixed.
Comment 3 RHEL Product and Program Management 2006-10-16 12:17:08 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Russell Coker 2006-11-21 03:15:48 EST
As documented in #198165 create a large sparse file and grep it.
Comment 11 Red Hat Bugzilla 2007-05-01 18:43:55 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0281.html
Comment 12 Stepan Kasal 2009-01-27 10:57:50 EST
Note that the fix caused another problem, so it needs to be adapted.
See bug #440258 for details.

Note You need to log in before you can comment on or make changes to this bug.